Update notification preferences
curl --request PUT \
--url https://api.capitalcheckin.app/v1/collaborators/{id}/notification-preferences \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email_notifications": true,
"sms_notifications": true,
"push_notifications": true,
"check_in_reminders": true,
"check_out_reminders": true,
"schedule_updates": true,
"emergency_alerts": true
}
'import requests
url = "https://api.capitalcheckin.app/v1/collaborators/{id}/notification-preferences"
payload = {
"email_notifications": True,
"sms_notifications": True,
"push_notifications": True,
"check_in_reminders": True,
"check_out_reminders": True,
"schedule_updates": True,
"emergency_alerts": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email_notifications: true,
sms_notifications: true,
push_notifications: true,
check_in_reminders: true,
check_out_reminders: true,
schedule_updates: true,
emergency_alerts: true
})
};
fetch('https://api.capitalcheckin.app/v1/collaborators/{id}/notification-preferences', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"email_notifications": true,
"sms_notifications": true,
"push_notifications": true,
"check_in_reminders": true,
"check_out_reminders": true,
"schedule_updates": true,
"emergency_alerts": true
}Endpoints
Update notification preferences
Update notification preferences for a collaborator
PUT
/
v1
/
collaborators
/
{id}
/
notification-preferences
Update notification preferences
Authorizations
OAuth2 access token for authentication
Path Parameters
Collaborator ID
Body
application/json
Enable email notifications
Enable SMS notifications
Enable push notifications
Enable check-in reminders
Enable check-out reminders
Enable schedule update notifications
Enable emergency alerts
Response
200 - application/json
Notification preferences updated
Enable email notifications
Enable SMS notifications
Enable push notifications
Enable check-in reminders
Enable check-out reminders
Enable schedule update notifications
Enable emergency alerts
⌘I